#!/bin/bash

TARGET_GIT_COMMIT='33a2d9484595c2d6516c920ce39a694c144ddf69'
TARGET_DIR_NAME='isa-l_20230211-0944'

apt -y install gcc make automake autoconf libtool doxygen help2man clang texlive-latex-base texlive-latex-extra && \
cd ~ && \
git clone https://github.com/intel/isa-l.git --branch=master --depth=1 --single-branch "${TARGET_GIT_COMMIT}" --recursive && \
mv "${TARGET_GIT_COMMIT}" "${TARGET_DIR_NAME}" && \
cd "${TARGET_DIR_NAME}" && \
apt -y install nasm yasm && \
./autogen.sh && ./configure && make && make doc make ex make other && make install && \
cd ~
#rm -rf "${TARGET_DIR_NAME}" 
